## firmware-nonfree 0.4+etchnhalf.1

=== bnx2/fwcutter/Makefile ===
ifndef KERNEL_SOURCE
$(error Please define KERNEL_SOURCE)
endif
ifndef KERNEL_VERSION
$(error Please define KERNEL_VERSION)
endif

CFLAGS += -I$(KERNEL_SOURCE)/drivers/net
CFLAGS += --std=gnu99
LDFLAGS += -lz

all: bnx2_fwcutter_$(KERNEL_VERSION)

bnx2_fwcutter_$(KERNEL_VERSION): bnx2_fwcutter_$(KERNEL_VERSION).c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

## firmware-nonfree 0.4

=== debian/changelog ===
firmware-nonfree (0.4) unstable; urgency=low

  * Build-depend on linux-support-2.6.18-4; closes: #414773.
  * Add myself to uploaders.

 -- Steve Langasek <vorlon@debian.org>  Wed, 14 Mar 2007 03:32:31 -0700

firmware-nonfree (0.3) unstable; urgency=low

  * Rename qlogic initramfs-tools hook, closes: #386175
  * Make initramfs-tools hooks executable, closes: #386172
  * Bump standars to 3.7.2, no changes required.

 -- Frederik Schüler <fs@debian.org>  Wed,  6 Sep 2006 11:10:29 +0200

firmware-nonfree (0.2) unstable; urgency=low

  * Release into unstable.
  * Build-depend on linux-support-2.6.17-2.

 -- Frederik Schüler <fs@debian.org>  Tue,  5 Sep 2006 17:36:33 +0200

firmware-nonfree (0.1) experimental; urgency=low

  [ Frederik Schüler ]
  * Initial release.

 -- Bastian Blank <waldi@debian.org>  Fri,  2 Jun 2006 22:19:21 +0200

=== debian/control ===
Source: firmware-nonfree
Section: non-free/base
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper, linux-support-2.6.18-4

Package: firmware-ipw3945
Architecture: all
Section: non-free/base
Priority: optional
Suggests: initramfs-tools, linux-image
Description: Binary firmware for IPW3945
 This package contains the binary firmware for IPW3945.

Package: firmware-ipw3945-di
Architecture: all
Section: non-free/debian-installer
Priority: optional
Description: Binary firmware for IPW3945
 This package contains the binary firmware for IPW3945.
XC-Package-Type: udeb

Package: firmware-qlogic
Architecture: all
Section: non-free/base
Priority: optional
Suggests: initramfs-tools, linux-image
Description: Binary firmware for QLOGIC
 This package contains the binary firmware for QLOGIC.

Package: firmware-qlogic-di
Architecture: all
Section: non-free/debian-installer
Priority: optional
Description: Binary firmware for QLOGIC
 This package contains the binary firmware for QLOGIC.
XC-Package-Type: udeb

## firmware-nonfree 0.4+etchnhalf.1

=== debian/changelog ===
firmware-nonfree (0.4+etchnhalf.1) stable; urgency=low

  * Backport iwlwifi and bnx2 firmware from 0.11 release, only used
    in etch by drivers in the etchnhalf kernel.
  * Add initramfs hook support for bnx2
  * Correct path to initramfs.conf file in postinst which was preventing
    initramfs updates for qlogic (and now bnx2) fw, closes: #432042

 -- dann frazier <dannf@debian.org>  Mon, 09 Jun 2008 16:14:40 -0600

firmware-nonfree (0.4etch1) stable; urgency=high

  * Build-depend on linux-support-2.6.18-6; closes: #468215.

 -- dann frazier <dannf@debian.org>  Wed, 27 Feb 2008 11:54:52 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,43 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: debhelper, linux-support-2.6.18-4
+Build-Depends: debhelper, linux-support-2.6.18-6
+
+Package: firmware-bnx2
+Architecture: all
+Section: non-free/base
+Priority: optional
+Suggests: initramfs-tools, linux-image
+Description: Binary firmware for Broadcom NetXtremeII
+ This package contains the binary firmware for Broadcom NetXtremeII network
+ adapters.
+
+Package: firmware-bnx2-di
+Architecture: all
+Section: non-free/debian-installer
+Priority: optional
+Description: Binary firmware for Broadcom NetXtremeII
+ This package contains the binary firmware for Broadcom NetXtremeII network
+ adapters.
+XC-Package-Type: udeb
+
+Package: firmware-iwlwifi
+Architecture: all
+Section: non-free/base
+Priority: optional
+Suggests: initramfs-tools, linux-image
+Description: Binary firmware for Intel Wireless 3945 and 4965
+ This package contains the binary firmware for Intel Wireless 3945 and 4965
+ cards.
+
+Package: firmware-iwlwifi-di
+Architecture: all
+Section: non-free/debian-installer
+Priority: optional
+Description: Binary firmware for Intel Wireless 3945 and 4965
+ This package contains the binary firmware for Intel Wireless 3945 and 4965
+ cards.
+XC-Package-Type: udeb
 
 Package: firmware-ipw3945
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e

include debian/rules.defs
include /usr/src/linux-support-$(KERNELVERSION)/modules/rules.include

GENCONTROL = debian/bin/gencontrol.py $(KERNELVERSION)

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	-rm debian/*.copyright
	-rm debian/*.dirs
	-rm debian/*.hook.*
	-rm debian/*.install
	-rm debian/*.postinst

## firmware-nonfree 0.13~bpo40%2B1

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e

CONTROL_FILES += debian/bin/gencontrol.py defines $(wildcard */defines) $(wildcard */LICENSE)

include debian/rules.defs
include /usr/src/linux-support-$(KERNELVERSION)/modules/rules.include

GENCONTROL = debian/bin/gencontrol.py $(KERNELVERSION)

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	-rm debian/*.copyright
	-rm debian/*.hook.*
	-rm debian/*.postinst

## firmware-nonfree 0.13~bpo40+1

=== bnx2/fwcutter/Makefile ===
test :=
ifdef KERNEL_SOURCE
test += source
endif
ifdef KERNEL_VERSION
test += version
endif

ifeq "$(test)" " source version"
CFLAGS += -I$(KERNEL_SOURCE)/drivers/net
CFLAGS += --std=gnu99
LDFLAGS += -lz

all: bnx2_fwcutter_$(KERNEL_VERSION)

bnx2_fwcutter_$(KERNEL_VERSION): bnx2_fwcutter_$(KERNEL_VERSION).c bnx2_fwcutter.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<
else
all:
	$(error Please define KERNEL_SOURCE and KERNEL_VERSION)
endif

clean:
	rm -f $(basename $(wildcard bnx2_fwcutter_*.c))

=== debian/changelog ===
firmware-nonfree (0.13~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch.

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  9 Oct 2008 13:26:05 +0200

firmware-nonfree (0.13) unstable; urgency=low

  * Make firmware-bnx2 trigger update-initramfs (closes: #494936)
  * Update to 2.6.26-1 (closes: #500692)
  * Update Intel Wireless 3945 firmware, version 15.28.1.6.
    (closes: #494703)

 -- dann frazier <dannf@debian.org>  Thu, 02 Oct 2008 11:58:37 -0600

firmware-nonfree (0.12) unstable; urgency=low

  * Remove Intel Wireless 3945 (old style) firmware.
  * Update Intel Wireless 4965 firmware, version 228.57.1.21.
    (closes: #489684)
  * Add Intel Wireless 4965 firmware, version 228.57.2.21.

 -- Bastian Blank <waldi@debian.org>  Mon, 07 Jul 2008 11:19:42 +0200

firmware-nonfree (0.11) unstable; urgency=low

  [ Bastian Blank ]
  * Update QLogic QLA24XX firmware, version 4.04.00.
  * Add QLogic QLA25XX firmware, version 4.04.00.
  * Add Broadcom NetXtremeII firmwares.

  [ dann frazier ]
  * Correct path to initramfs.conf file in postinst. (closes: #432042)

 -- Bastian Blank <waldi@debian.org>  Sun, 18 May 2008 14:26:49 +0200

firmware-nonfree (0.10) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding Vcs fields in control.

  [ Bastian Blank ]
  * Update iwl4965 firmware, version 4.44.1.20. (closes: #463052)
  * Updating to 2.6.24-1.
  * Drop udeb support.
  * Drop old variants of iwlwifi firmwares.

 -- Bastian Blank <waldi@debian.org>  Thu, 31 Jan 2008 20:24:12 +0100

firmware-nonfree (0.9) unstable; urgency=low

  * Merging rt61 and rt73 to ralink as requested by Bastian.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2007 21:02:00 +0100

firmware-nonfree (0.8) unstable; urgency=low

  * Applying patch from Ben Hutchings <ben@decadent.org.uk> to update
    gencontrol.py for linux-support-2.6.22-3.
  * Check for already included firmware by initramfs-tools own functions
    (Closes: #440967).
  * Applying patch from Ben Hutchings <ben@decadent.org.uk> to add
    ralink rt61 firmware, version 1.2.
  * Applying patch from Ben Hutchings <ben@decadent.org.uk> to add
    ralink rt73 firmware, version 1.8.
  * Bumping package to debhelper 5.
  * Removed some useless whitespaces at EOL and EOF.

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2007 15:58:00 +0100

firmware-nonfree (0.7) unstable; urgency=low

  * Set section to non-free/admin.
  * Added iwl3945 firwmare, version 2.14.1.5,
    Added iwl4965 firmware, version 4.44.1.18. (closes: #435304)

 -- Bastian Blank <waldi@debian.org>  Thu, 02 Aug 2007 10:09:19 +0200

firmware-nonfree (0.6) unstable; urgency=low

  * Drop Daniel from Uploaders.
  * Add content lists. (closes: #393469)
  * Update qlogic firmwares.
  * Merge iwl3945 and iwl4965 into iwlwifi.

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Jul 2007 22:52:06 +0200

firmware-nonfree (0.5) unstable; urgency=low

  * Building against 2.6.21-2.
  * Added myself to uploaders.
  * Updated ipw3945.ucode to version 1.14.2.
  * Added iwl3945 firwmare, version 2.14.4.
  * Added iwl4965 firmware, version 4.44.15.

 -- Daniel Baumann <daniel@debian.org>  Thu,  5 Jul 2007 01:16:00 +0100

=== debian/control ===
Source: firmware-nonfree
Section: non-free/admin
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5), linux-support-2.6.26-bpo.1
Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-nonfree/
Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-nonfree/

Package: firmware-bnx2
Architecture: all
Suggests: initramfs-tools, linux-image
Description: Binary firmware for Broadcom NetXtremeII
 This package contains the binary firmware for Broadcom NetXtremeII network
 adapters.
 .
 Contents:
  * Broadcom NetXtremeII 5706 firmware, version Linux 2.6.25
  * Broadcom NetXtremeII 5709 firmware, version Linux 2.6.25
Homepage: http://ftp.debian.org/debian/pool/non-free/f/firmware-nonfree

Package: firmware-iwlwifi
Architecture: all
Suggests: initramfs-tools, linux-image
Description: Binary firmware for Intel Wireless 3945 and 4965
 This package contains the binary firmware for Intel Wireless 3945 and 4965
 cards.
 .
 Contents:
  * Intel Wireless 3945 firmware, version 15.28.1.6
  * Intel Wireless 4965 firmware, version 228.57.1.21
  * Intel Wireless 4965 firmware, version 228.57.2.21
Homepage: http://intellinuxwireless.org/?p=iwlwifi&n=downloads

Package: firmware-qlogic
Architecture: all
Suggests: initramfs-tools, linux-image
Description: Binary firmware for QLogic QLA2XXX
 This package contains the binary firmware for QLogic QLA2XXX Fibre Channel
 host adapters.
 .
 Contents:
  * QLogic QLA21XX firmware, version 1.19.38
  * QLogic QLA22XX firmware, version 2.02.08
  * QLogic QLA2300, 2312, 6312 firmware, version 3.03.20
  * QLogic QLA2322, 6322 firmware, version 3.03.20
  * QLogic QLA24XX firmware, version 4.04.00
  * QLogic QLA25XX firmware, version 4.04.00
Homepage: ftp://ftp.qlogic.com/outgoing/linux/firmware/

Package: firmware-ralink
Architecture: all
Suggests: initramfs-tools, linux-image
Description: Binary firmware for Ralink RT2561, RT2571, RT2661 and RT2671 wireless cards
 This package contains the binary firmware for PCI, CardBus and USB
 wireless network cards with the Ralink RT2501 [Turbo], RT2600, RT5201
 [Turbo], RT5600 or RT5201USB chipset, supported by the rt61, rt61pci, or
 rt73, rt73usb drivers.
 .
 Contents:
  * Ralink RT2561 (RT2501/RT5201 chipset) firmware, version 1.2
  * Ralink RT2561S (RT2501 Turbo/RT5201 Turbo chipset) firmware, version 1.2
  * Ralink RT2661 (RT2600/RT5600 chipset) firmware, version 1.2
  * Ralink RT2571W/RT2671 (RT2501USB/RT5201USB chipset) firmware, version 1.8
Homepage: http://www.ralinktech.com/ralink/Home/Support/Linux.html

## firmware-nonfree 0.14+lenny2

=== bnx2/fwcutter/Makefile ===
test :=
ifdef KERNEL_SOURCE
test += source
endif
ifdef KERNEL_VERSION
test += version
endif

ifeq "$(test)" " source version"
CFLAGS += -I$(KERNEL_SOURCE)/include -I$(KERNEL_SOURCE)/drivers/net
CFLAGS += --std=gnu99
LDFLAGS += -lz

all: bnx2_fwcutter_$(KERNEL_VERSION)

bnx2_fwcutter_$(KERNEL_VERSION): bnx2_fwcutter_$(KERNEL_VERSION).c bnx2_fwcutter_$(KERNEL_VERSION).h bnx2_fwcutter.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

bnx2_fwcutter_$(KERNEL_VERSION).h: $(KERNEL_SOURCE)/drivers/net/bnx2.h
	grep "^#define BNX2" $^ > $@
else
all:
	$(error Please define KERNEL_SOURCE and KERNEL_VERSION)
endif

clean: ALL = $(basename $(wildcard bnx2_fwcutter_*.c))
clean:
	rm -f $(ALL) $(ALL:=.h)

=== debian/changelog ===
firmware-nonfree (0.14+lenny2) stable; urgency=high

  * Add new firmware-bnx2x package (closes: #509646)

 -- dann frazier <dannf@debian.org>  Sun, 02 Aug 2009 09:04:00 -0600

firmware-nonfree (0.14+lenny1) stable; urgency=high

  * Updated build-dep to use 2.6.26-2 kernel

 -- dann frazier <dannf@debian.org>  Mon, 30 Mar 2009 00:18:20 -0600

firmware-nonfree (0.14) unstable; urgency=low

  * Generate license acceptation prompt, based on sun-java5. (closes: #504668)
  * Add Intel Pro 2100 firwmare, version 1.3. (closes: #504671)
  * Add Intel Pro 2200/2915 firwmare, version 3.0. (closes: #449235)

 -- Bastian Blank <waldi@debian.org>  Tue, 02 Dec 2008 18:07:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5), linux-support-2.6.26-bpo.1
+Build-Depends: debhelper (>= 5), linux-support-2.6.26-2
 Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-nonfree/
 Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-nonfree/
 
@@ -19,6 +19,39 @@
   * Broadcom NetXtremeII 5706 firmware, version Linux 2.6.25
   * Broadcom NetXtremeII 5709 firmware, version Linux 2.6.25
 Homepage: http://ftp.debian.org/debian/pool/non-free/f/firmware-nonfree
+
+Package: firmware-bnx2x
+Architecture: all
+Suggests: initramfs-tools, linux-image
+Description: Binary firmware for Broadcom NetXtremeII 10Gb
+ This package contains the binary firmware for Broadcom NetXtremeII 10Gb
+ network adapters.
+ .
+ Contents:
+  * Broadcom NetXtremeII 10Gb 57710, version 4.8.53.0
+  * Broadcom NetXtremeII 10Gb 57711, version 4.8.53.0
+Homepage: http://ftp.debian.org/debian/pool/non-free/f/firmware-nonfree
+
+Package: firmware-ipw2x00
+Architecture: all
+Pre-Depends: debconf | debconf-2.0
+Suggests: initramfs-tools, linux-image
+Description: Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
+ This package contains the binary firmware for Intel Pro Wireless 2100,
+ 2200 and 2915 cards.
+ .
+ Contents:
+  * Intel Pro Wireless 2100 firmware (bootstrap), version 1.3
+  * Intel Pro Wireless 2100 firmware (ibss mode), version 1.3
+  * Intel Pro Wireless 2100 firmware (monitor mode), version 1.3
+  * Intel Pro Wireless 2200/2915 firmware (bss), version 3.0
+  * Intel Pro Wireless 2200/2915 firmware (ibss), version 3.0
+  * Intel Pro Wireless 2200/2915 firmware (snf), version 3.0
+ .
+ Those firmware are covered by the Intel Pro Wireless 2100 and 2200/2915
+ License.  Prior to installing this package, you have to agree to the terms
+ of that license.
+Homepage: http://ipw2100.sourceforge.net/firmware.php?fid=4, http://ipw2200.sourceforge.net/firmware.php?fid=7
 
 Package: firmware-iwlwifi
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,6 @@
 	-rm debian/control debian/control.md5sum debian/rules.gen
 	-rm debian/*.copyright
 	-rm debian/*.hook.*
+	-rm debian/*.preinst
 	-rm debian/*.postinst
+	-rm debian/*.templates

## firmware-nonfree 0.27~bpo50+1

=== bnx2/fwcutter/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<
 
 bnx2_fwcutter_$(KERNEL_VERSION).h: $(KERNEL_SOURCE)/drivers/net/bnx2.h
-	grep "^#define BNX2" $^ > $@
+	sed "/^#define BNX2.*[^\\]$$/p; /^#define BNX2.*\\$$/,/[^\\]$$/p; d" $^ > $@
 else
 all:
 	$(error Please define KERNEL_SOURCE and KERNEL_VERSION)

=== debian/changelog ===
firmware-nonfree (0.27~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 03 Dec 2010 12:03:08 +0100

firmware-nonfree (0.27) unstable; urgency=low

  [ Ben Hutchings ]
  * Correct version number for ipw2200 firmware
  * Refer to index pages for ipw2100 and ipw2200 firmware
  * Add bug presubj message directing users to report driver bugs against
    the appropriate package
  * Add firmware-brcm80211 binary package for use with the brcm80211 driver
    (Closes: #597034)

  [ dann frazier ]
  * Add firmware-netxen binary package

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 18 Sep 2010 01:31:00 +0100

firmware-nonfree (0.26) unstable; urgency=low

  * Add Multi-Tech USB cellular modem firmware (Closes: #588097)
  * Change file listing in linux-nonfree/LICENSE to follow draft DEP-5
    for machine-readable copyright files

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 06 Jul 2010 00:36:32 +0100

firmware-nonfree (0.25) unstable; urgency=low

  * Update rtl8192su to version 902B (Closes: #581554)
  * Add/update Ralink RT3070/RT3071/RT3072 firmware for use with Linux
    2.6.34
  * Add Radeon HD 'Evergreen' 5400/5500/5600/5700/5800-family firmware
    for use with Linux 2.6.34
  * Add firmware-atheros package containing Atheros AR3011 firmware for
    use with the ath3k driver added in Linux 2.6.34
  * Add Intel Wireless 6250 firmware (iwlwifi-6050-4.ucode)
    (Closes: #585111)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 11 Jun 2010 04:21:38 +0100

firmware-nonfree (0.24) unstable; urgency=low

  * Update to linux-support-2.6.32-5.
  * Add firmware-realtek package containing:
    - Realtek RTL8192E firmware for use with rtl8192e driver, thanks to
      Geoff Simmons (Closes: #573950)
    - Realtek RTL8192SU firmware for use with rtl8192su driver, thanks to
      Stefan Lippers-Hollmann (Closes: #579694)
  * Update iwlwifi-6000 to 9.193.4.1.
  * Add copyright and licence text for radeon/R{6,7}00_rlc.bin to
    firmware-linux-nonfree (Closes: #576104)
  * Merge preinstallation license note and question (Closes: #574145)
  * Bump standards to 3.8.4, no changes required.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 May 2010 23:19:05 +0100

firmware-nonfree (0.23) unstable; urgency=low

  * Update firmware-qlogic description to specify supported chips as
    named in pci-ids (Closes: #513140)
  * Update hardware list in firmware-ralink description
  * Correct some version numbers in firmware-ralink description
  * Add Ralink RT3000E[D] firmware (rt3090.bin) for use with rt3090sta
  * Update Ralink RT2800U[D] firmware (rt2870.bin) from Linux 2.6.32
  * Add Radeon R600/R700-family RLC firmware for use with Linux 2.6.33
    and Debian kernel package 2.6.32-10 (Closes: #565437)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 04 Mar 2010 22:35:56 +0000

firmware-nonfree (0.22) unstable; urgency=low

  [ maximilian attems ]
  * Add iwlwifi-1000-3.ucode.
  * Add iwlwifi-6000-4.ucode.
  
  [ Ben Hutchings ]
  * Update Radeon firmware for use with Linux 2.6.32 (Closes: #558023)
  * Change URI for firmware-linux-nonfree to refer to David Woodhouse's
    linux-firmware.git repository (Closes: #558033)
  * Include names of all firmware files in package descriptions
    (Closes: #553710)
  * Do not include 'version unknown' in package descriptions
  * Update Broadcom NetXtreme II firmware for use with Linux 2.6.32
    (Closes: #560065)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 17 Dec 2009 03:44:03 +0000

firmware-nonfree (0.21) unstable; urgency=low

  * Update to linux-support-2.6.31-1.
  * Upload to unstable.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 25 Oct 2009 18:44:41 +0000

firmware-nonfree (0.20) experimental; urgency=low

  [ Ben Hutchings ]
  * firmware-linux-nonfree Replaces and Conflicts with old firmware-linux
    (Closes: #551146)
  * Update upstream URL for firmware-ralink (Closes: #551975)
  * Add AdvanSys SCSI controller firmware for use with advansys driver
    (Closes: #535922)
  * Add firmware-intelwimax package, initially containing Intel WiMAX
    Connection 2400 USB firmware for use with i2400m-usb driver
    (Closes: #550917)
  * Update description of firmware-bnx2 contents, thanks to
    Geoff Simmons <gsimmons@gsimmons.org> (Closes: #536050)
  * Include module/driver names in descriptions of all specific packages
    (Closes: #510220)

 -- Bastian Blank <waldi@debian.org>  Sat, 24 Oct 2009 22:16:37 +0200

firmware-nonfree (0.19) experimental; urgency=low

  [ dann frazier ]
  * Correct 'Homepage' control data for firmware-bnx2 and firmware-bnx2x
    (closes: #546899)

  [ Ben Hutchings ]
  * Make firmware-linux a metapackage and move previous contents to
    firmware-linux-nonfree
  * Add Agere/Prism/Symbol Orinoco firmware for use with orinoco driver
  * Add Xceive 5000 tuner firmware for use with xc5000 driver
  * Add DiBcom dib0700 USB DVB bridge firmware for use with
    dvb-usb-dib0700 driver
  * Update linux-support build-dep to 2.6.31-trunk

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 14 Oct 2009 03:25:41 +0100

firmware-nonfree (0.18) unstable; urgency=low

  [ maximilian attems ]
  * Add iwlwifi-5000-2.ucode. (closes: #532207)
  * Add iwlwifi-5150-2.ucode.
  * Update iwlwifi-4945 to 228.61.2.24.
  
  [ Ben Hutchings ]
  * Fix Matrox G200/G400/G550 firmware image format (closes: #531367)
  * Add Broadcom Tigon3 firmware for use with tg3 driver (closes: 543233)
  * Add QLogic IBA7220 serdes firmware for use with ip_iband driver
  * Add Chelsio T3 firmware for use with cxgb3 driver
  * Add Ralink RT3071/RT3072/RT3090 firmware for use with rt3070sta driver
  * Update rt2870.bin

 -- Bastian Blank <waldi@debian.org>  Wed, 02 Sep 2009 09:00:58 +0000

firmware-nonfree (0.17) unstable; urgency=low

  [ maximilian attems ]
  * templates/control.source.in: section non-free/kernel.
  * Update iwlwifi-3945 to 15.32.2.9. (closes: #526114)
  * linux/defines: Fix upstream url.

  [ Ben Hutchings ]


=== debian/control ===
Source: firmware-nonfree
Section: non-free/kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), linux-support-2.6.32-bpo.5
Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-nonfree/
Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-nonfree/

Package: firmware-linux
Architecture: all
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version})
Description: Binary firmware for various drivers in the Linux kernel (meta-package)
 This package depends on both free and non-free firmware which was
 previously included in the Linux kernel.

Package: firmware-atheros
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for Atheros Bluetooth cards
 This package contains the binary firmware for Bluetooth cards with the
 Atheros AR3011 chip, supported by the ath3k drivers.
 .
 Contents:
  * Atheros AR3011 firmware (ath3k-1.fw)
Homepage: http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git

Package: firmware-bnx2
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for Broadcom NetXtremeII
 This package contains the binary firmware for Broadcom NetXtremeII network
 adapters supported by the bnx2 driver.
 .
 Contents:
  * Broadcom NetXtremeII 5706/5708 firmware, version Linux 2.6.25 (bnx2-06-4.0.5.fw)
  * Broadcom NetXtremeII 5709 firmware, version Linux 2.6.25 (bnx2-09-4.0.5.fw)
  * Broadcom NetXtremeII 5706/5708 firmware, version Linux 2.6.29 (bnx2-06-4.6.16.fw)
  * Broadcom NetXtremeII 5709/5716 firmware, version Linux 2.6.29 (bnx2-09-4.6.15.fw)
  * Broadcom NetXtremeII 5706/5708 firmware (mips), version Linux 2.6.30 (bnx2/bnx2-mips-06-4.6.16.fw)
  * Broadcom NetXtremeII 5706/5708 firmware (rv2p), version Linux 2.6.30 (bnx2/bnx2-rv2p-06-4.6.16.fw)
  * Broadcom NetXtremeII 5709/5716 firmware (mips), version Linux 2.6.30 (bnx2/bnx2-mips-09-4.6.17.fw)
  * Broadcom NetXtremeII 5709/5716 firmware (rv2p), version Linux 2.6.30 (bnx2/bnx2-rv2p-09-4.6.15.fw)
  * Broadcom NetXtremeII 5706/5708 firmware (mips), version Linux 2.6.32 (bnx2/bnx2-mips-06-5.0.0.j3.fw)
  * Broadcom NetXtremeII 5706/5708 firmware (rv2p), version Linux 2.6.32 (bnx2/bnx2-rv2p-06-5.0.0.j3.fw)
  * Broadcom NetXtremeII 5709/5716 firmware (mips), version Linux 2.6.32 (bnx2/bnx2-mips-09-5.0.0.j3.fw)
  * Broadcom NetXtremeII 5709/5716 firmware (rv2p), version Linux 2.6.32 (bnx2/bnx2-rv2p-09-5.0.0.j3.fw)
  * Broadcom NetXtremeII 5709 A0/A1 firmware (rv2p), version Linux 2.6.32 (bnx2/bnx2-rv2p-09ax-5.0.0.j3.fw)
Homepage: http://ftp.kernel.org/pub/linux/kernel/

Package: firmware-bnx2x
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for Broadcom NetXtreme II 10Gb
 This package contains the binary firmware for Broadcom NetXtreme II 10Gb
 network adapters supported by the bnx2x driver.
 .
 Contents:
  * Broadcom NetXtreme II 10Gb 57710, version 4.8.53.0 (bnx2x-e1-4.8.53.0.fw)
  * Broadcom NetXtreme II 10Gb 57711, version 4.8.53.0 (bnx2x-e1h-4.8.53.0.fw)
  * Broadcom NetXtreme II 10Gb 57710, version 5.0.21.0 (bnx2x-e1-5.0.21.0.fw)
  * Broadcom NetXtreme II 10Gb 57711, version 5.0.21.0 (bnx2x-e1h-5.0.21.0.fw)
Homepage: http://ftp.kernel.org/pub/linux/kernel/

Package: firmware-brcm80211
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for Broadcom 802.11 wireless cards
 This package contains the binary firmware for wireless network cards with
 the Broadcom BCM4314, BCM43224 or BCM43225 chip, supported by the
 brcm80211 driver.
 .
 Contents:
  * Broadcom 802.11 firmware, version 610.809.0 (brcm/bcm43xx-0.fw)
  * Broadcom 802.11 firmware header, version 610.809.0 (brcm/bcm43xx_hdr-0.fw)
Homepage: http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git

Package: firmware-intelwimax
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for Intel WiMAX Connection
 This package contains the binary firmware for Intel WiMAX Connection
 devices supported by the i2400m-usb driver.
 .
 Contents:
  * Intel WiMAX Connection 2400 USB firmware, version 1.4 (i2400m-fw-usb-1.4.sbcf)
Homepage: http://linuxwimax.org/Download

Package: firmware-ipw2x00
Architecture: all
Pre-Depends: debconf | debconf-2.0
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 This package contains the binary firmware for Intel Pro Wireless 2100,
 2200 and 2915 cards supported by the ipw2100 and ipw2200 drivers.
 .
 Contents:
  * Intel Pro Wireless 2100 firmware (bootstrap), version 1.3 (ipw2100-1.3.fw)
  * Intel Pro Wireless 2100 firmware (ibss mode), version 1.3 (ipw2100-1.3-i.fw)
  * Intel Pro Wireless 2100 firmware (monitor mode), version 1.3 (ipw2100-1.3-p.fw)
  * Intel Pro Wireless 2200/2915 firmware (bss), version 3.1 (ipw2200-bss.fw)
  * Intel Pro Wireless 2200/2915 firmware (ibss), version 3.1 (ipw2200-ibss.fw)
  * Intel Pro Wireless 2200/2915 firmware (snf), version 3.1 (ipw2200-sniffer.fw)
 .
 This firmware is covered by the Intel Pro Wireless 2100 and 2200/2915
 License.  You must agree to the terms of this license before it is
 installed.
Homepage: http://ipw2100.sourceforge.net/firmware.php, http://ipw2200.sourceforge.net/firmware.php

Package: firmware-ivtv
Architecture: all
Pre-Depends: debconf | debconf-2.0
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for iTVC15-family MPEG codecs (ivtv and pvrusb2 drivers)
 This package contains the binary firmware for TV cards with Conexant
 iTVC15-family MPEG codecs, supported by the ivtv and pvrusb2 drivers.
 .
 Contents:
  * Conexant CX23415/CX23416 MPEG codec (decoder) (v4l-cx2341x-dec.fw)
  * Conexant CX23415/CX23416 MPEG codec (encoder) (v4l-cx2341x-enc.fw)
  * Conexant CX23415/CX23416 MPEG codec (initialization) (v4l-cx2341x-init.mpg)
  * Conexant CX25840 MPEG codec (v4l-cx25840.fw)
  * Hauppauge PVR USB2 24xxx models (v4l-pvrusb2-24xxx-01.fw)
  * Hauppauge PVR USB2 29xxx models (v4l-pvrusb2-29xxx-01.fw)
 .
 This firmware is covered by the Hauppauge End-User Firmware License
 Agreement.  You must agree to the terms of this license before it is
 installed.
Homepage: http://dl.ivtvdriver.org/ivtv/firmware/

Package: firmware-iwlwifi
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: 
Conflicts: 
Description: Binary firmware for Intel Wireless 3945, 4965 and 5000-series cards
 This package contains the binary firmware for Intel Wireless 1000, 3945,
 4965, 5100, 5300, 6000 and 6250 cards supported by the iwl3945 and iwlagn
 drivers.
 .
 Contents:
  * Intel Wireless 1000 firmware, version 128.50.3.1 (iwlwifi-1000-3.ucode)
  * Intel Wireless 3945 firmware, version 15.28.1.6 (iwlwifi-3945-1.ucode)
  * Intel Wireless 3945 firmware, version 15.32.2.9 (iwlwifi-3945-2.ucode)
  * Intel Wireless 4965 firmware, version 228.57.1.21 (iwlwifi-4965-1.ucode)
  * Intel Wireless 4965 firmware, version 228.61.2.24 (iwlwifi-4965-2.ucode)
  * Intel Wireless 5100, 5300 and 5350 firmware, version 5.4.A.11 (iwlwifi-5000-1.ucode)
  * Intel Wireless 5100, 5300 and 5350 firmware, version 8.24.2.12 (iwlwifi-5000-2.ucode)
  * Intel Wireless 5150 firmware, version 8.24.2.2 (iwlwifi-5150-2.ucode)
  * Intel Wireless 6000 firmware, version 9.193.4.1 (iwlwifi-6000-4.ucode)
  * Intel Wireless 6250 firmware, version 9.201.4.1 (iwlwifi-6050-4.ucode)
Homepage: http://intellinuxwireless.org/?p=iwlwifi&n=downloads

Package: firmware-linux-nonfree
Architecture: all
Suggests: initramfs-tools, linux-image
Replaces: firmware-linux (<< 0.19)
Conflicts: firmware-linux (<< 0.19)
Description: Binary firmware for various drivers in the Linux kernel
 This package contains the binary firmware for  various drivers in the
 Linux kernel.  This is a collection of firmware blobs which are not
 individually large enough to warrant a standalone package.
 .
 Contents:
  * 3Com Typhoon firmware, version 03.001.008 (3com/typhoon.bin)
  * AdvanSys ASC-3550 firmware (advansys/3550.bin)
  * AdvanSys ASC-38C0800 firmware (advansys/38C0800.bin)
  * AdvanSys ASC-38C1600 firmware (advansys/38C1600.bin)
  * AdvanSys SCSI controller microcode (advansys/mcode.bin)
  * Agere/Prism/Symbol Orinoco firmware (AP mode), version 9.48 Hermes I (agere_ap_fw.bin)
  * Agere/Prism/Symbol Orinoco firmware (STA mode), version 9.48 Hermes I (agere_sta_fw.bin)
  * Chelsio T3 optical EDC firmware (AEL2005 PHY) (cxgb3/ael2005_opt_edc.bin)
  * Chelsio T3 twinax EDC firmware (AEL2005 PHY) (cxgb3/ael2005_twx_edc.bin)
  * Chelsio T3 twinax EDC firmware (AEL2020 PHY) (cxgb3/ael2020_twx_edc.bin)
  * Chelsio T3B protocol engine firmware, version 1.1.0 (cxgb3/t3b_psram-1.1.0.bin)
  * Chelsio T3C protocol engine firmware, version 1.1.0 (cxgb3/t3c_psram-1.1.0.bin)
  * Chelsio T3 main firmware, version 7.4.0 (cxgb3/t3fw-7.4.0.bin)
  * DAB-USB FPGA bitfile (dabusb/bitstream.bin)
  * DAB-USB firmware (dabusb/firmware.fw)
  * Xceive 5000 tuner firmware, version 1.6.114 (dvb-fe-xc5000-1.6.114.fw)
  * DiBcom dib0700 USB DVB bridge firmware, version 1.20 (dvb-usb-dib0700-1.20.fw)
  * Intel 82559 D101M microcode (e100/d101m_ucode.bin)
  * Intel 82559 D101S microcode (e100/d101s_ucode.bin)
  * Intel 82551-F and 82551-10 microcode (e100/d102e_ucode.bin)
  * kaweth/new_code.bin
  * kaweth/new_code_fix.bin
  * kaweth/trigger_code.bin
  * kaweth/trigger_code_fix.bin
  * Matrox G200 WARP engine microcode (matrox/g200_warp.fw)
  * Matrox G400/G550 WARP engine microcode (matrox/g400_warp.fw)
  * Multi-Tech USB CDMA modem firmware (mts_cdma.fw)
  * Multi-Tech USB EDGE modem firmware (mts_edge.fw)
  * Multi-Tech USB GPRS modem firmware (mts_gsm.fw)
  * Rage 128 CCE microcode (r128/r128_cce.bin)
  * Radeon HD 5400-family ME microcode (radeon/CEDAR_me.bin)
  * Radeon HD 5400-family PFP microcode (radeon/CEDAR_pfp.bin)
  * Radeon HD 5400-family RLC microcode (radeon/CEDAR_rlc.bin)
  * Radeon HD 5800/5900-family ME microcode (radeon/CYPRESS_me.bin)
  * Radeon HD 5800/5900-family PFP microcode (radeon/CYPRESS_pfp.bin)
  * Radeon HD 5800/5900-family RLC microcode (radeon/CYPRESS_rlc.bin)
  * Radeon HD 5700-family ME microcode (radeon/JUNIPER_me.bin)
  * Radeon HD 5700-family PFP microcode (radeon/JUNIPER_pfp.bin)
  * Radeon HD 5700-family RLC microcode (radeon/JUNIPER_rlc.bin)
  * Radeon R100-family CP microcode (radeon/R100_cp.bin)
  * Radeon R200-family CP microcode (radeon/R200_cp.bin)
  * Radeon R300-family CP microcode (radeon/R300_cp.bin)
  * Radeon R400-family CP microcode (radeon/R420_cp.bin)
  * Radeon R500-family CP microcode (radeon/R520_cp.bin)
  * Radeon R600 ME microcode (radeon/R600_me.bin)
  * Radeon R600 PFP microcode (radeon/R600_pfp.bin)
  * Radeon R600-family RLC microcode (radeon/R600_rlc.bin)
  * Radeon R700-family RLC microcode (radeon/R700_rlc.bin)
  * Radeon HD 5500/5600-family ME microcode (radeon/REDWOOD_me.bin)
  * Radeon HD 5500/5600-family PFP microcode (radeon/REDWOOD_pfp.bin)
  * Radeon HD 5500/5600-family RLC microcode (radeon/REDWOOD_rlc.bin)
  * Radeon RS600 CP microcode (radeon/RS600_cp.bin)
  * Radeon RS690 CP microcode (radeon/RS690_cp.bin)
  * Radeon RS780 ME microcode (radeon/RS780_me.bin)
  * Radeon RS780 PFP microcode (radeon/RS780_pfp.bin)
  * Radeon RV610 ME microcode (radeon/RV610_me.bin)
  * Radeon RV610 PFP microcode (radeon/RV610_pfp.bin)
  * Radeon RV620 ME microcode (radeon/RV620_me.bin)
  * Radeon RV620 PFP microcode (radeon/RV620_pfp.bin)
  * Radeon RV630 ME microcode (radeon/RV630_me.bin)
  * Radeon RV630 PFP microcode (radeon/RV630_pfp.bin)

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e

CONTROL_FILES += debian/bin/gencontrol.py defines $(wildcard */defines) $(wildcard */copyright) $(wildcard */LICENSE*)

include debian/rules.defs
include /usr/src/linux-support-$(KERNELVERSION)/modules/rules.include

GENCONTROL = debian/bin/gencontrol.py $(KERNELVERSION)

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	rm -f debian/*.bug-presubj
	-rm debian/*.copyright
	-rm debian/*.hook.*
	-rm debian/*.preinst
	-rm debian/*.postinst
	-rm debian/*.templates

## firmware-nonfree 0.28+squeeze1

=== debian/changelog ===
firmware-nonfree (0.28+squeeze1) stable; urgency=low

  * Add VIA VT6656 firmware for use with vt6656 driver
  * Add Realtek RTL8105E-1 and RTL8168E-1/2/3 firmware for use with r8169

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 17 Sep 2011 17:03:10 +0100

firmware-nonfree (0.28) unstable; urgency=low

  [ Ben Hutchings ]
  * Add new versions of bnx2 firmware from Linux 2.6.37 (Closes: #598470)
  * Remove bnx2 firmware versions not used by the driver in any suite
  * Add new versions of bnx2x firmware from Linux 2.6.37
  * Update intelwimax firmware from Linux 2.6.35
  * Add firmware for devices supported by ar9170 and ath9k_htc to
    firmware-atheros (Closes: #558740)
  * Add Realtek RTL8111D/RTL8168D firmware to firmware-realtek
    (Closes: #564628)
  * Add Realtek RTL8192SU/RTL8712U firmware for use with r8712u to
    firmware-realtek (Closes: #602450)
  * Update Atheros AR3011 firmware (ath3k-1.fw):
    - Fix EEPROM radio table issue and change PID to 3005
  * Add Intel Wireless 6005 and 6030 firmware
  * Add new version of Intel Wireless 6250 firmware

  [ dann frazier ]
  * Update netxen firmware to 4.0.534 (Closes: #606289)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Jan 2011 02:40:16 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, Steve Langasek <vorlon@debian.org>, dann frazier <dannf@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), linux-support-2.6.32-bpo.5
+Build-Depends: debhelper (>= 5), linux-support-2.6.32-5
 Vcs-Svn: svn://svn.debian.org/kernel/dists/trunk/firmware-nonfree/
 Vcs-Browser: http://svn.debian.org/wsvn/kernel/dists/trunk/firmware-nonfree/
 
@@ -20,11 +20,15 @@
 Suggests: initramfs-tools, linux-image
 Replaces: 
 Conflicts: 
-Description: Binary firmware for Atheros Bluetooth cards
- This package contains the binary firmware for Bluetooth cards with the
- Atheros AR3011 chip, supported by the ath3k drivers.
- .
- Contents:
+Description: Binary firmware for Atheros wireless cards
+ This package contains the binary firmware for USB wireless network and
+ Bluetooth cards supported by the ar9170, ath3k or ath9k_htc drivers.
+ .
+ Contents:
+  * Atheros AR7010/AR7015/AR9018 (type 1) firmware (ar7010.fw)
+  * Atheros AR7010/AR7015/AR9018 (type 2) firmware (ar7010_1_1.fw)
+  * Atheros AR9170 firmware (ar9170.fw)
+  * Atheros AR9271 firmware (ar9271.fw)
   * Atheros AR3011 firmware (ath3k-1.fw)
 Homepage: http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git
 
@@ -40,17 +44,16 @@
  Contents:
   * Broadcom NetXtremeII 5706/5708 firmware, version Linux 2.6.25 (bnx2-06-4.0.5.fw)
   * Broadcom NetXtremeII 5709 firmware, version Linux 2.6.25 (bnx2-09-4.0.5.fw)
-  * Broadcom NetXtremeII 5706/5708 firmware, version Linux 2.6.29 (bnx2-06-4.6.16.fw)
-  * Broadcom NetXtremeII 5709/5716 firmware, version Linux 2.6.29 (bnx2-09-4.6.15.fw)
-  * Broadcom NetXtremeII 5706/5708 firmware (mips), version Linux 2.6.30 (bnx2/bnx2-mips-06-4.6.16.fw)
-  * Broadcom NetXtremeII 5706/5708 firmware (rv2p), version Linux 2.6.30 (bnx2/bnx2-rv2p-06-4.6.16.fw)
-  * Broadcom NetXtremeII 5709/5716 firmware (mips), version Linux 2.6.30 (bnx2/bnx2-mips-09-4.6.17.fw)
-  * Broadcom NetXtremeII 5709/5716 firmware (rv2p), version Linux 2.6.30 (bnx2/bnx2-rv2p-09-4.6.15.fw)
   * Broadcom NetXtremeII 5706/5708 firmware (mips), version Linux 2.6.32 (bnx2/bnx2-mips-06-5.0.0.j3.fw)
   * Broadcom NetXtremeII 5706/5708 firmware (rv2p), version Linux 2.6.32 (bnx2/bnx2-rv2p-06-5.0.0.j3.fw)
   * Broadcom NetXtremeII 5709/5716 firmware (mips), version Linux 2.6.32 (bnx2/bnx2-mips-09-5.0.0.j3.fw)
   * Broadcom NetXtremeII 5709/5716 firmware (rv2p), version Linux 2.6.32 (bnx2/bnx2-rv2p-09-5.0.0.j3.fw)
   * Broadcom NetXtremeII 5709 A0/A1 firmware (rv2p), version Linux 2.6.32 (bnx2/bnx2-rv2p-09ax-5.0.0.j3.fw)
+  * Broadcom NetXtremeII 5706/5708 firmware (mips), version Linux 2.6.37 (bnx2/bnx2-mips-06-6.0.15.fw)
+  * bnx2/bnx2-rv2p-06-6.0.15.fw
+  * Broadcom NetXtremeII 5709/5716 firmware (mips), version Linux 2.6.37 (bnx2/bnx2-mips-09-6.0.17.fw)
+  * Broadcom NetXtremeII 5709/5716 firmware (rv2p), version Linux 2.6.37 (bnx2/bnx2-rv2p-09-6.0.17.fw)
+  * Broadcom NetXtremeII 5709 A0/A1 firmware (rv2p), version Linux 2.6.37 (bnx2/bnx2-rv2p-09ax-6.0.17.fw)
 Homepage: http://ftp.kernel.org/pub/linux/kernel/
 
 Package: firmware-bnx2x
@@ -67,6 +70,9 @@
   * Broadcom NetXtreme II 10Gb 57711, version 4.8.53.0 (bnx2x-e1h-4.8.53.0.fw)
   * Broadcom NetXtreme II 10Gb 57710, version 5.0.21.0 (bnx2x-e1-5.0.21.0.fw)
   * Broadcom NetXtreme II 10Gb 57711, version 5.0.21.0 (bnx2x-e1h-5.0.21.0.fw)
+  * Broadcom NetXtreme II 10Gb 57710, version 6.0.34.0 (bnx2x/bnx2x-e1-6.0.34.0.fw)
+  * Broadcom NetXtreme II 10Gb 57711, version 6.0.34.0 (bnx2x/bnx2x-e1h-6.0.34.0.fw)
+  * Broadcom NetXtreme II 10Gb 57712, version 6.0.34.0 (bnx2x/bnx2x-e2-6.0.34.0.fw)
 Homepage: http://ftp.kernel.org/pub/linux/kernel/
 
 Package: firmware-brcm80211
@@ -95,6 +101,8 @@
  .
  Contents:
   * Intel WiMAX Connection 2400 USB firmware, version 1.4 (i2400m-fw-usb-1.4.sbcf)
+  * Intel WiMAX Connection 2400 USB firmware, version 1.5 (i2400m-fw-usb-1.5.sbcf)
+  * Intel WiMAX/WiFi Link 6050 USB firmware, version 1.5 (i6050-fw-usb-1.5.sbcf)
 Homepage: http://linuxwimax.org/Download
 
 Package: firmware-ipw2x00
@@ -163,7 +171,10 @@
   * Intel Wireless 5100, 5300 and 5350 firmware, version 8.24.2.12 (iwlwifi-5000-2.ucode)
   * Intel Wireless 5150 firmware, version 8.24.2.2 (iwlwifi-5150-2.ucode)
   * Intel Wireless 6000 firmware, version 9.193.4.1 (iwlwifi-6000-4.ucode)
+  * Intel Wireless 6005 firmware, version 17.168.5.1 (iwlwifi-6000g2a-5.ucode)
+  * Intel Wireless 6030 firmware, version 17.168.5.1 (iwlwifi-6000g2b-5.ucode)
   * Intel Wireless 6250 firmware, version 9.201.4.1 (iwlwifi-6050-4.ucode)
+  * Intel Wireless 6250 firmware, version 41.28.5.1 (iwlwifi-6050-5.ucode)
 Homepage: http://intellinuxwireless.org/?p=iwlwifi&n=downloads
 
 Package: firmware-linux-nonfree
@@ -225,16 +236,3 @@
   * Radeon R600 PFP microcode (radeon/R600_pfp.bin)
   * Radeon R600-family RLC microcode (radeon/R600_rlc.bin)
   * Radeon R700-family RLC microcode (radeon/R700_rlc.bin)
-  * Radeon HD 5500/5600-family ME microcode (radeon/REDWOOD_me.bin)
-  * Radeon HD 5500/5600-family PFP microcode (radeon/REDWOOD_pfp.bin)
-  * Radeon HD 5500/5600-family RLC microcode (radeon/REDWOOD_rlc.bin)
-  * Radeon RS600 CP microcode (radeon/RS600_cp.bin)
-  * Radeon RS690 CP microcode (radeon/RS690_cp.bin)
-  * Radeon RS780 ME microcode (radeon/RS780_me.bin)
-  * Radeon RS780 PFP microcode (radeon/RS780_pfp.bin)
-  * Radeon RV610 ME microcode (radeon/RV610_me.bin)
-  * Radeon RV610 PFP microcode (radeon/RV610_pfp.bin)
-  * Radeon RV620 ME microcode (radeon/RV620_me.bin)
-  * Radeon RV620 PFP microcode (radeon/RV620_pfp.bin)
-  * Radeon RV630 ME microcode (radeon/RV630_me.bin)
-  * Radeon RV630 PFP microcode (radeon/RV630_pfp.bin)
